#ifndef ECS_ITEMS_PROPERTYEDITORNPC_H
#define ECS_ITEMS_PROPERTYEDITORNPC_H
#include "property_editor.h"

namespace ECS {
namespace Items {

struct PropertyEditorNPC : DPropertyEditor
{
    bool _matches(const std::string &itemName,
              const nlohmann::json::json_pointer &ptr,
              const nlohmann::json &j) override;
    void _render(flecs::entity entity,
             const nlohmann::json::json_pointer &ptr,
             nlohmann::json &j) override;
    PropertyEditorNPC();
};

} // namespace Items
} // namespace ECS

#endif // ECS_ITEMS_PROPERTYEDITORNPC_H
